curl --request PATCH \
--url https://api.example.com/api/v1/subscriptions/{subscription_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"auto_advance_invoices": true,
"charge_automatically": true,
"custom_properties": "<unknown>",
"invoice_memo": "<string>",
"net_terms": 1,
"payment_methods_config": {
"config": {
"card": {
"enabled": true
},
"direct_debit": {
"enabled": true
}
}
},
"purchase_order": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/subscriptions/{subscription_id}"
payload = {
"auto_advance_invoices": True,
"charge_automatically": True,
"custom_properties": "<unknown>",
"invoice_memo": "<string>",
"net_terms": 1,
"payment_methods_config": { "config": {
"card": { "enabled": True },
"direct_debit": { "enabled": True }
} },
"purchase_order": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
auto_advance_invoices: true,
charge_automatically: true,
custom_properties: '<unknown>',
invoice_memo: '<string>',
net_terms: 1,
payment_methods_config: {config: {card: {enabled: true}, direct_debit: {enabled: true}}},
purchase_order: '<string>'
})
};
fetch('https://api.example.com/api/v1/subscriptions/{subscription_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"subscription": {
"add_ons": [
{
"fee": {
"rate": "<string>"
},
"name": "<string>",
"quantity": 1,
"add_on_id": "<string>",
"id": "<string>"
}
],
"applied_coupons": [
{
"applied_coupon": {
"coupon_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"is_active": true,
"applied_amount": "<string>",
"applied_count": 123,
"last_applied_at": "2023-11-07T05:31:56Z"
},
"coupon": {
"code": "<string>",
"description": "<string>",
"disabled": true,
"discount": {
"percentage": "<string>"
},
"id": "<string>",
"reusable": true,
"expires_at": "2023-11-07T05:31:56Z",
"recurring_value": 123,
"redemption_limit": 123
}
}
],
"auto_advance_invoices": true,
"billing_day_anchor": 123,
"charge_automatically": true,
"components": [
{
"fee": {
"rate": "<string>"
},
"name": "<string>",
"price_component_id": "price_7n42DGM5Tflk9n8mt7Fhc7",
"product_id": "prd_7n42DGM5Tflk9n8mt7Fhc7"
}
],
"created_at": "2023-11-07T05:31:56Z",
"current_period_start": "2023-12-25",
"custom_properties": "<unknown>",
"customer_id": "<string>",
"customer_name": "<string>",
"id": "<string>",
"mrr_cents": 1,
"net_terms": 1,
"plan_id": "<string>",
"plan_name": "<string>",
"plan_version": 1,
"plan_version_id": "<string>",
"start_date": "2023-12-25",
"activated_at": "2023-11-07T05:31:56Z",
"billing_start_date": "2023-12-25",
"checkout_url": "<string>",
"current_period_end": "2023-12-25",
"customer_alias": "<string>",
"end_date": "2023-12-25",
"entitlements": [
{
"created_at": "2023-11-07T05:31:56Z",
"feature_id": "<string>",
"id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"value": {
"enabled": true
}
}
],
"invoice_memo": "<string>",
"minimum_commitment": {
"amount": "<string>",
"scope": {}
},
"payment_methods_config": {
"config": {
"card": {
"enabled": true
},
"direct_debit": {
"enabled": true
}
}
},
"purchase_order": "<string>",
"trial_duration": 1
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Update subscription
Update subscription settings like payment configuration, billing options, etc.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Subscription ID
"sub_7n42DGM5Tflk9n8mt7Fhc7"
Body
If false, invoices will stay in Draft until manually reviewed and finalized.
Automatically try to charge the customer's configured payment method on finalize.
Partial update of custom property values (merge; send a key with null to remove it).
Validated against the tenant's SUBSCRIPTION property definitions. Omit to leave unchanged.
Default memo for invoices
Payment terms in days (0 = due on issue)
x >= 0Payment methods configuration (Online, BankTransfer, or External)
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Purchase order number
Response
Subscription updated
Show child attributes
Show child attributes